Subject: Re: Echo Cancellers

From: [email-masked]
Date: Wed, 26 Apr 2000 16:23:43 -0400

Scott:

Thanks for you input to the group on this subject.  There seems to be a
considerable amount of misunderstanding about echo control with VoIP networks.
I repeat a label your networks below to make some points of discussion:

Case 1:
     <user A>----<VoIP network>----<PSTN>----<mobile network>---<userB>

Case 2:

     <VoIP network>----<PSTN>-------<VoIP network>

Case 3:

     <VoIP network>----<any high delay hop-off to PSTN>

In case 1, user A has a four-wire connection to the network and user B also has
a four-wire connection to the network.  That is - unless somewhere in the mobile
network or in the PSTN there is some two wire circuits.  Unless user A is using
a poor quality speakerphone, there should be no need for any echo cancellation
at all.

for case 2, there should also be no need for any echo cancellers unless, again,
the PSTN has been poorly engineered and has two-wire connections somewhere.

For case 3, it the right side of the network has a Media Gateway.  At some point
to the right of that gateway there will be a two-four wire hybrid which will be
the source of an echo.  The echo would be user a "talker echo".  Therefore, the
media gateway has ther responsibility of echo cancelling this echo.  This is
typicaly short - as in certainly less than 20 msec.  It is true - that the
longer the VoIP network delay, the better the echo canceller in the network must
work.  This is why it is important for VoIP networks to manage their delay
downwards as much as possible.  To do otherwise causes a) the media gateway echo
canceller to "work harder" than it should have to and b) cause conversational
double-talking that is subjectively annoying even when the echo control is
perfect.

The basic misimpression that I see all too often is that people believe that
"station side" or subscriber equipment echo cancellers need to be deployed at
the subscriber or user's equipment.  This is, for the most part, untrue.  If it
turns out to be true, someone architected their network poorly.  Echo cancellers
with long tail coverage are an expensive commitment to poor network design.

If I recall correctly, even with normal characteristic impedances in cable (free
space is faster) a tail circuit across the country will not exceed 20 msecs.

Kevin

Scott Keagy <[email-masked]> on 04/26/2000 03:48:08 PM

To:   Hari Krishna Vuppaladhadiam <[email-masked]>
cc:   [email-masked] (bcc: Kevin Bruemmer/Natural MicroSystems/US)
Subject:  Re: Echo Cancellers

I think there is a good application for high-delay echo cancellers.
Consider the following scenarios:

     <user A>----<VoIP network>----<PSTN>----<mobile network>---<userB>
or
     <VoIP network>----<PSTN>-------<VoIP network>
or
     <VoIP network>----<any high delay hop-off to PSTN>

Typical echo cancellers at the edge of the VoIP network (e.g. Cisco
routers) only provide 32 msec of coverage. If a hop-off tail circuit has
a round-trip delay that exceeds the coverage of the echo canceller (on
the outbound edge of the VoIP network), then the additional delay of the
VoIP network (100 msec or more usually) exacerbates the echo problem.

This is an intractable problem without the use of echo cancellers that
have longer coverage ability.

-Scott

Hari Krishna Vuppaladhadiam wrote:
>
> Hi,
>   I am interested in knowing what kind of echo cancellers do we require in
> typical VoIP applications. Is there a requirement for delays greater than
> 64msecs?
>
> Regards
> Hari

--
=======================================================
 Scott Keagy, CCIE #3985
 Senior Networking Consultant
 SK Networks, Inc.         mailto:[email-masked]
=======================================================

---

From: Scott Keagy <[email-masked]>
Date: Wed, 26 Apr 2000 14:57:08 -0700

Kevin et al,

feel free to correct me if I'm wrong in the details below....

I added more details to the diagrams to clarify what we're talking
about.
<see diagrams at bottom>

ITU Echo Canceller Requirements
-------------------------------

ITU-T Recommendation G.131 "Control of Talker Echo" (section 4.1) states
the following:
"In general, it is recommended that the active echo control devices
shall be deployed on all connections which exceed the total one-way
talker echo transmission path time of 25 ms."

This implies that public phone networks may not provide echo
cancellation for tail-end hop-off circuits that have up to 50 msec
round-trip latency.

Where echo originates
---------------------
Impedance mismatches at 2-wire/4-wire hybrids (transitions from 2-wire
to 4-wire circuits) can cause signal reflections. The likely spots where
these hybrids can cause problems for VoIP hop-off scenarios are
illustrated below. Carrier equipment may not be optimally tuned, or
customer equipment may not be optimally tuned. In addition to these
spots, acoustic echoes may occur from the destination speaker/mic
equipment (i.e. speakerphone or cheap telephone handset).

I submit as proof that not all networks are ideally designed, that I
frequently call residential locations in India from the U.S. I here my
own echo on at least half of the conversations, which implies that some
telco central offices in India have poor hybrid terminations.

What a company can do about it
-------------------------------
Given the ITU recommendations that support a carrier's right to not
employ echo cancellers in medium-delay networks (i.e. up to 50 msec
round-trip), a company employing a VoIP solution has no recourse to
block the echo other than to use echo cancellers with high delay
coverage, as illustrated below. A given company can't fix the network
problems for different calling destinations (i.e. adjust the impedance
coupling at the hybrid to increase the return loss), but it can take
personal action to defend the voice quality experienced by its
employees.

Note that this is an enterprise-centric approach to the problem. A
carrier-centric approach might be to negotiate with the remote telco to
fix the problem, so that the local carrier does not get stuck with the
echo-canceller bill. So high delay echo cancellers may be useful for
low-end and enterprise products, but not for carrier products. Also note
that up to 64 msec is sufficient given that all networks are designed
according to ITU spec.

==== : 4-wire circuit
---- : 2-wire circuit

**************************************************************************
                                                  ||=====<digital user
C>
                                                  ||
                                                  ||
<user A>=====<VoIP cloud>===<long delay PSTN>====<PBX>-----<analog user
B>
                        ^                             ^
                        |                             |
                        |                             |
                        |                 (signal from A reflected here)
                        |
                   (High delay echo canceller needed here)

**************************************************************************

<user A>=====<VoIP cloud>=====<long delay PSTN>-------<user B>
                        ^                     ^
                        |                     |
                        |                     |
                        |            (signal from A reflected here)
                        |
                   (High delay echo canceller needed here)

***************************************************************************

-Scott